Skip to main content
GET
Get a library equipment specification by id (BO)

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Query Parameters

extend
enum<string>[]

Extend options (JSON-encoded array, e.g. ?extend=["category"]):

  • "library-technical-installation": Adds libraryTechnicalInstallation { id, nameFr, nameEn, nameDe } (the parent catalog TI).
  • "counts": Adds nbInstances (active org EquipmentSpecification rows referencing this entry).
  • "created-by": Adds createdByBoUser { id, name, email } (the BO admin who created this entry).
  • "actions-info": Projects { canBeUpdated, canBeArchived, canBeUnarchived, canBeDeleted }.
Available options:
library-technical-installation,
counts,
created-by,
actions-info

Response

Default Response

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
version
integer
required
Required range: 0 < x <= 9007199254740991
name
string
required
Required string length: 1 - 100
color
string
required
Pattern: ^#[0-9a-fA-F]{6}$
values
string[]
required
Required string length: 1 - 100
libraryTechnicalInstallationId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
archivedAt
string<date-time> | null
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
libraryTechnicalInstallation
object
nbInstances
integer
Required range: 0 <= x <= 9007199254740991
createdByBoUser
object | null
actions
object